Subject: bug#30804: closed (Re: [bug#30804] [PATCH] gnu: hop: Fix source hash.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 24 Apr 2018 07:54:02 +0000

Your bug report

#30804: [PATCH] gnu: hop: Fix source hash.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30804: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30804
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30804] [PATCH] gnu: hop: Fix source hash.
From: [email-masked] (Ludovic Courtès)
To: Kei Kebreau <[email-masked]>
Cc: [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 24 Apr 2018 09:53:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I pushed this as d4bd876267d334e54f88429362464268961174c0.

Thanks,
Ludo’.

Subject: [PATCH] gnu: hop: Fix source hash.
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 13 Mar 2018 20:41:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/scheme.scm (hop)[source]: Fix sha256 hash.
---

Guix, Kei,

Building hop fails with a hash mismatch. Here's what I get now, however: 

- I don't have a copy of the original tarball with which to compare.
- The build now fails with ‘cc: command not found’, and I assume it
  didn't previously.

Could you investigate?

Kind regards,

T G-R

 gnu/packages/scheme.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/scheme.scm b/gnu/packages/scheme.scm
index 657ca875d..9ec13dcb1 100644
--- a/gnu/packages/scheme.scm
+++ b/gnu/packages/scheme.scm
@@ -300,7 +300,7 @@ Scheme and C programs and between Scheme and Java programs.")
                                  version ".tar.gz"))
              (sha256
               (base32
-               "09m7pahjsp7wxzd20cdph9j3mgf2nq5dyckcjljcd40m25v85kks"))))
+               "0bvq79vxcpgwydwi923cxb5w9isx2x8r3d0xndbdhacmmsw1m811"))))
     (build-system gnu-build-system)
     (arguments
      `(#:test-target "test"
-- 
2.15.1